## IdeCodeIndexEntry IdeCodeIndexEntry — information about code index entry |

## Functions

IdeCodeIndexEntryBuilder * | ide_code_index_entry_builder_new ()
void | ide_code_index_entry_builder_set_range ()
void | ide_code_index_entry_builder_set_key ()
void | ide_code_index_entry_builder_set_name ()
void | ide_code_index_entry_builder_set_kind ()
void | ide_code_index_entry_builder_set_flags ()
IdeCodeIndexEntry * | ide_code_index_entry_builder_build ()
IdeCodeIndexEntryBuilder * | ide_code_index_entry_builder_copy ()
void | ide_code_index_entry_builder_free ()
void | ide_code_index_entry_free ()
IdeCodeIndexEntry * | ide_code_index_entry_copy ()
const gchar * | ide_code_index_entry_get_key ()
const gchar * | ide_code_index_entry_get_name ()
IdeSymbolKind | ide_code_index_entry_get_kind ()
IdeSymbolFlags | ide_code_index_entry_get_flags ()
void | ide_code_index_entry_get_range ()

## Object Hierarchy

        GBoxed
        ├── IdeCodeIndexEntry
        ╰── IdeCodeIndexEntryBuilder

## Description

The IdeCodeIndexEntry structure contains information about something to be indexed in the code index. It is an immutable data object so that it can be passed between threads where data is indexed. Plugins should use IdeCodeIndexEntryBuilder to create index entries.

## Functions

### ide_code_index_entry_builder_new ()

    IdeCodeIndexEntryBuilder *
    ide_code_index_entry_builder_new (void);

### ide_code_index_entry_builder_set_range ()

    void
    ide_code_index_entry_builder_set_range
                                   (IdeCodeIndexEntryBuilder *builder,
                                    guint begin_line,
                                    guint begin_line_offset,
                                    guint end_line,
                                    guint end_line_offset);

### ide_code_index_entry_builder_set_key ()

    void
    ide_code_index_entry_builder_set_key (IdeCodeIndexEntryBuilder *builder,
                                          const gchar *key);

### ide_code_index_entry_builder_set_name ()

    void
    ide_code_index_entry_builder_set_name (IdeCodeIndexEntryBuilder *builder,
                                           const gchar *name);

### ide_code_index_entry_builder_set_kind ()

    void
    ide_code_index_entry_builder_set_kind (IdeCodeIndexEntryBuilder *builder,
                                           IdeSymbolKind kind);

### ide_code_index_entry_builder_set_flags ()

    void
    ide_code_index_entry_builder_set_flags
                                   (IdeCodeIndexEntryBuilder *builder,
                                    IdeSymbolFlags flags);

### ide_code_index_entry_builder_build ()

    IdeCodeIndexEntry *
    ide_code_index_entry_builder_build (IdeCodeIndexEntryBuilder *builder);

Creates an immutable IdeCodeIndexEntry from the builder content.

#### Parameters

builder | a IdeCodeIndexEntryBuilder |

#### Returns

an IdeCodeIndexEntry.

[transfer full]

Since: 3.32

### ide_code_index_entry_builder_copy ()

    IdeCodeIndexEntryBuilder *
    ide_code_index_entry_builder_copy (IdeCodeIndexEntryBuilder *builder);

#### Parameters

builder | a IdeCodeIndexEntryBuilder |

#### Returns

a deep copy of `builder` .

[transfer full]

Since: 3.32

### ide_code_index_entry_builder_free ()

    void
    ide_code_index_entry_builder_free (IdeCodeIndexEntryBuilder *builder);

### ide_code_index_entry_free ()

    void
    ide_code_index_entry_free (IdeCodeIndexEntry *self);

### ide_code_index_entry_copy ()

    IdeCodeIndexEntry *
    ide_code_index_entry_copy (const IdeCodeIndexEntry *self);

### ide_code_index_entry_get_key ()

    const gchar *
    ide_code_index_entry_get_key (const IdeCodeIndexEntry *self);

### ide_code_index_entry_get_name ()

    const gchar *
    ide_code_index_entry_get_name (const IdeCodeIndexEntry *self);

### ide_code_index_entry_get_kind ()

    IdeSymbolKind
    ide_code_index_entry_get_kind (const IdeCodeIndexEntry *self);

### ide_code_index_entry_get_flags ()

    IdeSymbolFlags
    ide_code_index_entry_get_flags (const IdeCodeIndexEntry *self);

### ide_code_index_entry_get_range ()

    void
    ide_code_index_entry_get_range (const IdeCodeIndexEntry *self,
                                    guint *begin_line,
                                    guint *begin_line_offset,
                                    guint *end_line,
                                    guint *end_line_offset);

#### Parameters

self | a IdeCodeIndexEntry |
begin_line | first line. | [out]
begin_line_offset | first line offset. | [out]
end_line | last line. | [out]
end_line_offset | last line offset. | [out]

Since: 3.32